import * as React from 'react';
export declare function useScrollTop(): any;
/**
 * 用于处理自定义组件props传参结构，对系统变量进行保留
 * 曾用名：resolveComponentProps()
 */
export declare function useComponentProps(props: IFieldProps, isPlainProps: any): any;
export interface IFieldProps extends React.PropsWithRef<any> {
    id: string;
    data: any;
    emit: (trigger: any, eventData: any, originalEvent?: any) => void;
    events: string[];
    /**
     * current widget
     */
    $node: any;
    /**
     * user widgtet
     */
    $widget: any;
    staticResourceAttribute: string[];
    /**
     * @deprecated
     */
    domRef?: React.RefObject<any>;
    /**
     * @deprecated
     * 复合组件 和 Slot 组件依赖
     */
    compositeParent: any;
    isInComposite: boolean;
    forIndexes: number[];
}
export declare const OwnerComponentContext: React.Context<{
    attached: boolean;
}>;
export declare function useHistoryMemo({ basename, isHash, type }: {
    basename: any;
    isHash: any;
    type: any;
}): any;
export declare function usePlatformChange(app: any, callback: any, deps?: any[]): void;
export declare function useMemoOrDeep(value: any, memo: any): any;
export declare function useTraceUpdate(props: any): void;
export declare function useScopedStyleText(schema: any, options?: {
    enablePageRootId: boolean;
}): string;
export declare function useAsyncEffect(asyncFun: () => Promise<any>, handlerFun: (error: Error | null, result?: any) => void, dependencies?: any): void;
