export { useComponentProps, OwnerComponentContext } from './utils/hooks';
export { default as WedaApp, InjectContext, WedaRouter } from './router';
export { default as PageRender } from './pages/index';
export { AppRender } from './handlers/RenderWrapper';
export { registerApp, createPageApi } from './app/global-api';
export { registerRuntime } from './utils/adapter';
export * from './utils/adapter/dependencies';
export { getComponentsInfo, getComponentSchema } from './utils/adapter/generate';
export { getConfig as getDatasourceConfig } from './utils/adapter/datasource';
export { evalExpr } from './utils/debugExpr';

/**
 * 用于类型验证，其他勿用
 */
export { Query } from './utils/query';
export { EventFlow } from './utils/flow';

/**
 * @deprecated
 */
export { isEnableWecom } from './utils/common';
