import { __awaiter } from "tslib";
import { PostcssRpx2Calc } from '@cloudbase/cals';
import * as WedaClientSDK from '@cloudbase/weda-client';
export * from './runtime/actionHandler';
export * from './common';
export * from './computed';
export * from './history';
export * from './widgets';
export * from './style';
export const CALC_RPX_ROOT_VAL_NAME = PostcssRpx2Calc.CALC_RPX_ROOT_VAL_NAME;
export const lessImport = () => __awaiter(void 0, void 0, void 0, function* () {
    const { default: less } = yield import(/* webpackChunkName: "extra-package" */ 'less');
    return less;
});
export const postcssImport = () => __awaiter(void 0, void 0, void 0, function* () {
    const { default: postcss } = yield import(/* webpackChunkName: "extra-package" */ 'postcss');
    return postcss;
});
export const pxtoremImport = () => __awaiter(void 0, void 0, void 0, function* () {
    const { default: pxToRem } = yield import(/* webpackChunkName: "extra-package" */ 'postcss-pxtorem');
    return pxToRem;
});
(function (root) {
    if ((typeof exports === 'object' && typeof module === 'object') ||
        // (typeof define === 'function' && define.amd) ||
        typeof exports === 'object') {
    }
    else if (!root['WedaClientSDK']) {
        root['WedaClientSDK'] = WedaClientSDK;
    }
})(this || globalThis || window);
